Bug 1465076 - [Supportability][RFE] Metrics should log access request
[Supportability][RFE] Metrics should log access request
Status: CLOSED WONTFIX
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE (Show other bugs)
3.5.0
Unspecified Unspecified
medium Severity high
: ---
: 3.9.0
Assigned To: John Sanda
Xiaoli Tian
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-26 11:22 EDT by Eric Rich
Modified: 2018-02-26 15:42 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-26 15:42:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Rich 2017-06-26 11:22:32 EDT
Description of problem:

We should log access request (https://access.redhat.com/solutions/2423311) to standard out, so that the logs can be seen when debugging request to hawkular. 

This is especially helpful when needing to make router/proxy tunning recommendations with timeouts. 

Additional info:

https://github.com/openshift/origin-metrics/blob/master/hawkular-metrics/standalone.xml#L461-L484
Comment 1 Steve Speicher 2017-11-01 12:36:42 EDT
Did not make 3.7, considering for 3.8
Comment 3 Jeff Cantrill 2018-01-12 13:28:47 EST
Matt, do you know how should be assigned this issue?

Note You need to log in before you can comment on or make changes to this bug.